Skip to main content
PATCH
cURL
This endpoint is in Preview and subject to change. Refer to the API support policy for more details.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

folder_id
string
required

Body

application/json

Set parent_id to empty string '' or 'root' to move a folder to the root level.

name
string
parent_id
string

Response

A successful response.

FolderResource describes a resource, and includes info about its lineage (parent/ancestors).

name
string
required

name is the resource's name.

organization_id
string
required

organization_id is the id of the organization this resource belongs to.

parent_id
string
required

parent_id is the id of the resource's parent folder. "root" represents a root level resource.

path
object[]
required

path contains the ids and names of ancestors that make up the resource's lineage.

resource_id
string
required

resource_id is the resource's id.

resource_type
enum<string>
required
Available options:
FOLDER,
CLUSTER